<?php

namespace App\Console\Commands;

use App\Repositories\TrackRepository;
use Illuminate\Console\Command;

class CrawlerNctTrackListenCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'crawler:get-nct-listen {limit?}';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Lấy lượt nghe ở DOM từ trang của NCT';

    protected $trackRepository;

    /**
     * Create a new command instance.
     *
     * CrawlerNctTrackListenCommand constructor.
     * @param TrackRepository $trackRepository
     */
    public function __construct(TrackRepository $trackRepository)
    {
        parent::__construct();
        ini_set('max_execution_time', -1);
        $this->trackRepository = $trackRepository;
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        $from_page = 'nct';
        $limit = 10;

        $crawlered = $this->trackRepository->getCrawlerListenInserted($from_page, false);

        echo "\n Tổng số bài hát đã lấy lượt nghe hôm nay: " . count($crawlered);

        // Lấy mảng bài hát theo từng hệ thống nhạc
        $inserted = $this->trackRepository->getTrackBySource($from_page, $crawlered, $limit);
        $total = count($inserted);

        echo "\n Tổng số bài hát cần lấy lượt nghe: " . $total;


        $data = $this->trackRepository->getNctTrackListen($inserted);

        print_r($data);die();
        // file_get_contents('http://localhost:8000/get-counter');
        // sendRequest('http://localhost:8000/get-counter', [], 'GET');
        // cURL('http://localhost:8000/get-counter');
        // return false;


    }
}
