<!DOCTYPE html>
<html lang="{{ config('app.locale') }}">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <title>Laravel</title>

        <!-- Fonts -->
        <link href="https://fonts.googleapis.com/css?family=Raleway:100,600" rel="stylesheet" type="text/css">

        <!-- Styles -->
        <style>
            html, body {
                background-color: #fff;
                color: #636b6f;
                font-family: 'Raleway', sans-serif;
                font-weight: 100;
                height: 100vh;
                margin: 0;
            }

            .full-height {
                height: 100vh;
            }

            .flex-center {
                align-items: center;
                display: flex;
                justify-content: center;
            }

            .position-ref {
                position: relative;
            }

            .top-right {
                position: absolute;
                right: 10px;
                top: 18px;
            }

            .content {
                text-align: center;
            }

            .title {
                font-size: 84px;
            }

            .links > a {
                color: #636b6f;
                padding: 0 25px;
                font-size: 12px;
                font-weight: 600;
                letter-spacing: .1rem;
                text-decoration: none;
                text-transform: uppercase;
            }

            .m-b-md {
                margin-bottom: 30px;
            }
        </style>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    </head>
    <body>
        <div id="total"></div>
        <div><h2 id="get">2</h2></div>
        <!-- <a onclick="Ajax();">more</a> -->
        <div class="flex-center position-ref full-height">
            @if (Route::has('login'))
                <div class="top-right links">
                    @if (Auth::check())
                        <a href="{{ url('/home') }}">Home</a>
                    @else
                        <a href="{{ url('/login') }}">Login</a>
                        <a href="{{ url('/register') }}">Register</a>
                    @endif
                </div>
            @endif

            <div class="content">
                <div class="title m-b-md">
                    Laravel
                </div>

                <div class="links">
                    <a href="https://laravel.com/docs">Documentation</a>
                    <a href="https://laracasts.com">Laracasts</a>
                    <a href="https://laravel-news.com">News</a>
                    <a href="https://forge.laravel.com">Forge</a>
                    <a href="https://github.com/laravel/laravel">GitHub</a>
                </div>
            </div>
        </div>
    </body>
</html>
<script>
$(document).ready(function(){
    Ajax();
    setTimeout(function() {
  location.reload();
}, 60000);
});

function Ajax(){
    var url = 'https://www.nhaccuatui.com/interaction/api/counter?listSongIds=5494094';

    // $.get( url, function( data ) {
    //     var obj = data.data.songs;
    //     console.log(obj);
    //     for (const property in obj) {
    //         console.log(obj[property]);
    //         $('#get').html(obj[property]);
    //         counter = obj[property];
    //     }
    // // $( "#get" ).html( data );
    // // alert( "Load was performed." );
    // });


    $.ajax({
        type: "GET",
        url: url,
        data: {},
        cache: false,
        success: function(data) {
            var obj = data.data.songs;
            // data_json = JSON.parse(data);
            var counter = 0;
            for (const property in obj) {
                console.log(obj[property]);
                $('#total').html(obj[property]);
                counter = obj[property];
            }
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                type: "POST",
                url: 'http://localhost:8000/update-counter',
                data: {
                    counter: counter
                },
                cache: false,
                success: function(data) {
                    console.log('Cập nhật thành công: '+data);
                }
            })
            console.log(data.data.songs);
            var obj = data.data.songs;
            // data_json = JSON.parse(data);
            for (const property in obj) {
                console.log(obj[property]);
                $('#total').html(obj[property]);
            }
            // console.log(data_json);
            $('#data-loading').hide();
        }
    });
}
</script>
